Skip to content

Read Notification Preferences

GET
/api/v1/notification-preferences
curl --request GET \
--url https://example.com/api/v1/notification-preferences

One row per notification type, in_app for any type never saved.

Successful Response

Media typeapplication/json
Response Read Notification Preferences Api V1 Notification Preferences Get
Array<object>
NotificationPreferenceOut

The channel chosen for one notification type.

object
rule_type
required
Rule Type
string
Allowed values: budget_overspent bill_due stale_snapshot net_worth_threshold snapshot_reminder
channel
required
Channel
string
Allowed values: in_app email both off

Example

[
{
"rule_type": "budget_overspent",
"channel": "in_app"
}
]